function docPrint()
{
	printOptions = new PrintOptions();
	colorOptions = new PrintColorManagementOptions();
	colorOptions.name = "ColorMatch RGB";
	colorOptions.intent = PrintColorIntent.SATURATIONINTENT;
	printOptions.colorManagementOptions = colorOptions;
	printJobOptions= new PrintJobOptions();
	printJobOptions.designation = PrintArtworkDesignation.VISIBLEPRINTABLELAYERS;
	printJobOptions.reverse = true;
	printOptions.jobOptions = printJobOptions;
	coordinateOptions = new PrintCoordinateOptions();
	coordinateOptions.fitToMedia = true;
	printOptions.coordinateOptions = coordinateOptions;

	flatOpts = new PrintFlattenerOptions();
	flatOpts .ClipComplexRegions = true;
	flatOpts .GradientResoultion = 60;
	flatOpts .RasterizatonResotion = 60;
	printOptions.flattenerOptions = flatOpts;

	activeDocument.print(printOptions);
}

folderRef = new Folder("/print/");	//@f[^̂tH_
fileList = folderRef.getFiles("*.eps");
for (i=0; i<fileList.length; i++)
{
	fileObj = new File(fileList[i].fsName);
	open(fileObj);
	docPrint();
	activeDocument.close(SaveOptions.DONOTSAVECHANGES);
}
